summaryrefslogtreecommitdiffstats
path: root/libraries/SDL_perl
diff options
context:
space:
mode:
author Erik Hanson2010-05-13 00:28:43 +0200
committer Michiel van Wessem2010-05-13 00:28:43 +0200
commit3b24d65e48d42b65d179ddd4a12af1a5fb02557f (patch)
tree25df7a3fc5fc6c154a46d0949ca04db456a6aa20 /libraries/SDL_perl
parent5afc7b7f7b842f5859e7bca09cae574e6b470cf2 (diff)
downloadslackbuilds-3b24d65e48d42b65d179ddd4a12af1a5fb02557f.tar.gz
libraries/SDL_perl: Updated for version 1.20.0
Diffstat (limited to 'libraries/SDL_perl')
-rw-r--r--libraries/SDL_perl/SDL_perl.SlackBuild53
-rw-r--r--libraries/SDL_perl/SDL_perl.info2
2 files changed, 41 insertions, 14 deletions
diff --git a/libraries/SDL_perl/SDL_perl.SlackBuild b/libraries/SDL_perl/SDL_perl.SlackBuild
index f8f307e5f4..e24efa7be3 100644
--- a/libraries/SDL_perl/SDL_perl.SlackBuild
+++ b/libraries/SDL_perl/SDL_perl.SlackBuild
@@ -1,10 +1,26 @@
#!/bin/sh
-
+#
# Slackware build script for SDL_perl
-# Written by Erik Hanson erik@slackbuilds.org
-# Modified by the SlackBuilds.org project
-
-set -e
+#
+# Copyright 2009 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=SDL_perl
VERSION=1.20.0
@@ -19,29 +35,38 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
# configure doesn't take prefix/sysconfdir/... but things land in
# the appropriate places anyway.
-CFLAGS="$SLKCFLAGS" ./configure || exit 1
+CFLAGS="$SLKCFLAGS" ./configure
-make || exit 1
-make install_vendor DESTDIR=$PKG || exit 1
+make
+make install_vendor DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mv $PKG/usr/share/man $PKG/usr/man
@@ -64,4 +89,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/SDL_perl/SDL_perl.info b/libraries/SDL_perl/SDL_perl.info
index 88f5cc3d48..1a0e4eeda4 100644
--- a/libraries/SDL_perl/SDL_perl.info
+++ b/libraries/SDL_perl/SDL_perl.info
@@ -2,7 +2,9 @@ PRGNAM="SDL_perl"
VERSION="1.20.0"
HOMEPAGE="http://sdl.perl.org/"
DOWNLOAD="http://zarb.org/~gc/t/SDL_perl-1.20.0.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="041617aec124677083ecef04aa48f927"
+MD5SUM_x86_64=""
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
APPROVED="BP{k}"